<?php

/**
 * @file
 * Utility function to store country code mappings.
 */

/**
 * Array of ISO 3166-1 alpha-2 country codes, with country names and CARE codes.
 *
 * Note: CARE does not support all countries, these have empty CARE codes here.
 */
function _care_country_map() {
  return [
    'AD' => [
      'country' => 'Andorra',
      'care_code' => 'AND',
    ],
    'AE' => [
      'country' => 'United Arab Emirates',
      'care_code' => 'UAE',
    ],
    'AF' => [
      'country' => 'Afghanistan',
      'care_code' => 'AFG',
    ],
    'AG' => [
      'country' => 'Antigua and Barbuda',
      'care_code' => 'AG',
    ],
    'AI' => [
      'country' => 'Anguilla',
      'care_code' => 'AXA',
    ],
    'AL' => [
      'country' => 'Albania',
      'care_code' => 'AL',
    ],
    'AM' => [
      'country' => 'Armenia',
      'care_code' => 'AM',
    ],
    'AO' => [
      'country' => 'Angola',
      'care_code' => 'ANG',
    ],
    'AQ' => [
      'country' => 'Antarctica',
      'care_code' => 'ARK',
    ],
    'AR' => [
      'country' => 'Argentina',
      'care_code' => 'RA',
    ],
    'AS' => [
      'country' => 'Samoa',
      'care_code' => 'WS',
    ],
    'AT' => [
      'country' => 'Austria',
      'care_code' => 'A',
    ],
    'AU' => [
      'country' => 'Australia',
      'care_code' => 'AUS',
    ],
    'AW' => [
      'country' => 'Aruba',
      'care_code' => 'AUA',
    ],
    'AX' => [
      'country' => 'Åland Islands',
      'care_code' => 'AX',
    ],
    'AZ' => [
      'country' => 'Azerbaijan',
      'care_code' => 'AZ',
    ],
    'BA' => [
      'country' => 'Bosnia and Herzegovina',
      'care_code' => 'BIH',
    ],
    'BB' => [
      'country' => 'Barbados',
      'care_code' => 'BDS',
    ],
    'BD' => [
      'country' => 'Bangladesh',
      'care_code' => 'BD',
    ],
    'BE' => [
      'country' => 'Belgium',
      'care_code' => 'B',
    ],
    'BF' => [
      'country' => 'Burkina Faso',
      'care_code' => 'BF',
    ],
    'BG' => [
      'country' => 'Bulgaria',
      'care_code' => 'BG',
    ],
    'BH' => [
      'country' => 'Bahrain',
      'care_code' => 'BRN',
    ],
    'BI' => [
      'country' => 'Burundi',
      'care_code' => 'RU',
    ],
    'BJ' => [
      'country' => 'Benin',
      'care_code' => 'DY',
    ],
    'BL' => [
      'country' => 'Saint Barthélemy',
      'care_code' => '',
    ],
    'BM' => [
      'country' => 'Bermuda',
      'care_code' => '',
    ],
    'BN' => [
      'country' => 'Brunei Darussalam',
      'care_code' => '',
    ],
    'BO' => [
      'country' => 'Bolivia',
      'care_code' => 'BOL',
    ],
    'BQ' => [
      'country' => 'Bonaire',
      'care_code' => '',
    ],
    'BR' => [
      'country' => 'Brazil',
      'care_code' => 'BR',
    ],
    'BS' => [
      'country' => 'Bahamas',
      'care_code' => 'BS',
    ],
    'BT' => [
      'country' => 'Bhutan',
      'care_code' => 'BHT',
    ],
    'BV' => [
      'country' => 'Bouvet Island',
      'care_code' => '',
    ],
    'BW' => [
      'country' => 'Botswana',
      'care_code' => 'BW',
    ],
    'BY' => [
      'country' => 'Belarus',
      'care_code' => 'BY',
    ],
    'BZ' => [
      'country' => 'Belize',
      'care_code' => 'BH',
    ],
    'CA' => [
      'country' => 'Canada',
      'care_code' => 'CDN',
    ],
    'CC' => [
      'country' => 'Cocos (Keeling) Islands',
      'care_code' => '',
    ],
    'CD' => [
      'country' => 'Congo',
      'care_code' => 'RCB',
    ],
    'CF' => [
      'country' => 'Central African Republic',
      'care_code' => 'RCA',
    ],
    'CG' => [
      'country' => 'Congo',
      'care_code' => 'RCB',
    ],
    'CH' => [
      'country' => 'Switzerland',
      'care_code' => 'CH',
    ],
    'CI' => [
      'country' => 'Côte d\'Ivoire',
      'care_code' => '',
    ],
    'CK' => [
      'country' => 'Cook Islands',
      'care_code' => '',
    ],
    'CL' => [
      'country' => 'Chile',
      'care_code' => 'RCH',
    ],
    'CM' => [
      'country' => 'Cameroon',
      'care_code' => 'CAM',
    ],
    'CN' => [
      'country' => 'China',
      'care_code' => 'CN',
    ],
    'CO' => [
      'country' => 'Colombia',
      'care_code' => 'CO',
    ],
    'CR' => [
      'country' => 'Costa Rica',
      'care_code' => 'CR',
    ],
    'CU' => [
      'country' => 'Cuba',
      'care_code' => 'C',
    ],
    'CV' => [
      'country' => 'Cabo Verde',
      'care_code' => '',
    ],
    'CW' => [
      'country' => 'Curaçao',
      'care_code' => '',
    ],
    'CX' => [
      'country' => 'Christmas Island',
      'care_code' => '',
    ],
    'CY' => [
      'country' => 'Cyprus',
      'care_code' => 'CY',
    ],
    'CZ' => [
      'country' => 'Czech Republic',
      'care_code' => 'CZ',
    ],
    'DE' => [
      'country' => 'Germany',
      'care_code' => 'D',
    ],
    'DJ' => [
      'country' => 'Djibouti',
      'care_code' => 'DJI',
    ],
    'DK' => [
      'country' => 'Denmark',
      'care_code' => 'DK',
    ],
    'DM' => [
      'country' => 'Dominica',
      'care_code' => 'WD',
    ],
    'DO' => [
      'country' => 'Dominican Republic',
      'care_code' => 'DOM',
    ],
    'DZ' => [
      'country' => 'Algeria',
      'care_code' => 'DZ',
    ],
    'EC' => [
      'country' => 'Ecuador',
      'care_code' => 'EC',
    ],
    'EE' => [
      'country' => 'Estonia',
      'care_code' => 'EST',
    ],
    'EG' => [
      'country' => 'Egypt',
      'care_code' => 'ET',
    ],
    'EH' => [
      'country' => 'Western Sahara',
      'care_code' => 'WSA',
    ],
    'ER' => [
      'country' => 'Eritrea',
      'care_code' => 'ER',
    ],
    'ES' => [
      'country' => 'Spain',
      'care_code' => 'E',
    ],
    'ET' => [
      'country' => 'Ethiopia',
      'care_code' => 'ETH',
    ],
    'FI' => [
      'country' => 'Finland',
      'care_code' => 'FIN',
    ],
    'FJ' => [
      'country' => 'Fiji',
      'care_code' => 'FJI',
    ],
    'FK' => [
      'country' => 'Falkland Islands (Malvinas)',
      'care_code' => '',
    ],
    'FM' => [
      'country' => 'Micronesia',
      'care_code' => '',
    ],
    'FO' => [
      'country' => 'Faroe Islands',
      'care_code' => 'FO',
    ],
    'FR' => [
      'country' => 'France',
      'care_code' => 'F',
    ],
    'GA' => [
      'country' => 'Gabon',
      'care_code' => 'G',
    ],
    'GB' => [
      'country' => 'United Kingdom',
      'care_code' => 'UK',
    ],
    'GD' => [
      'country' => 'Grenada',
      'care_code' => 'WG',
    ],
    'GE' => [
      'country' => 'Georgia',
      'care_code' => 'GE',
    ],
    'GF' => [
      'country' => 'French Guiana',
      'care_code' => '',
    ],
    'GG' => [
      'country' => 'Guernsey',
      'care_code' => 'GBG',
    ],
    'GH' => [
      'country' => 'Ghana',
      'care_code' => 'GH',
    ],
    'GI' => [
      'country' => 'Gibraltar',
      'care_code' => 'GBZ',
    ],
    'GL' => [
      'country' => 'Greenland',
      'care_code' => 'KN',
    ],
    'GM' => [
      'country' => 'Gambia',
      'care_code' => 'WAG',
    ],
    'GN' => [
      'country' => 'Guinea',
      'care_code' => 'RG',
    ],
    'GP' => [
      'country' => 'Guadeloupe',
      'care_code' => '',
    ],
    'GQ' => [
      'country' => 'Equatorial Guinea',
      'care_code' => 'GQ',
    ],
    'GR' => [
      'country' => 'Greece',
      'care_code' => 'GR',
    ],
    'GS' => [
      'country' => 'South Georgia and the South Sandwich Islands',
      'care_code' => '',
    ],
    'GT' => [
      'country' => 'Guatemala',
      'care_code' => 'GCA',
    ],
    'GU' => [
      'country' => 'Guam',
      'care_code' => '',
    ],
    'GW' => [
      'country' => 'Guinea-Bissau',
      'care_code' => '',
    ],
    'GY' => [
      'country' => 'Guyana',
      'care_code' => 'GUY',
    ],
    'HK' => [
      'country' => 'Hong Kong',
      'care_code' => 'HK',
    ],
    'HM' => [
      'country' => 'Heard Island and McDonald Islands',
      'care_code' => '',
    ],
    'HN' => [
      'country' => 'Honduras',
      'care_code' => 'HN',
    ],
    'HR' => [
      'country' => 'Croatia',
      'care_code' => 'HR',
    ],
    'HT' => [
      'country' => 'Haiti',
      'care_code' => 'RH',
    ],
    'HU' => [
      'country' => 'Hungary',
      'care_code' => 'H',
    ],
    'ID' => [
      'country' => 'Indonesia',
      'care_code' => 'RI',
    ],
    'IE' => [
      'country' => 'Ireland',
      'care_code' => 'IRL',
    ],
    'IL' => [
      'country' => 'Israel',
      'care_code' => 'IL',
    ],
    'IM' => [
      'country' => 'Isle of Man',
      'care_code' => 'GBM',
    ],
    'IN' => [
      'country' => 'India',
      'care_code' => 'IND',
    ],
    'IO' => [
      'country' => 'British Indian Ocean Territory',
      'care_code' => '',
    ],
    'IQ' => [
      'country' => 'Iraq',
      'care_code' => 'IRQ',
    ],
    'IR' => [
      'country' => 'Iran',
      'care_code' => 'IR',
    ],
    'IS' => [
      'country' => 'Iceland',
      'care_code' => 'IS',
    ],
    'IT' => [
      'country' => 'Italy',
      'care_code' => 'I',
    ],
    'JE' => [
      'country' => 'Jersey',
      'care_code' => 'GBJ',
    ],
    'JM' => [
      'country' => 'Jamaica',
      'care_code' => 'JA',
    ],
    'JO' => [
      'country' => 'Jordan',
      'care_code' => 'HKJ',
    ],
    'JP' => [
      'country' => 'Japan',
      'care_code' => 'J',
    ],
    'KE' => [
      'country' => 'Kenya',
      'care_code' => 'EAK',
    ],
    'KG' => [
      'country' => 'Kyrgyzstan',
      'care_code' => 'KS',
    ],
    'KH' => [
      'country' => 'Cambodia',
      'care_code' => 'K',
    ],
    'KI' => [
      'country' => 'Kiribati',
      'care_code' => 'KIR',
    ],
    'KM' => [
      'country' => 'Comoros',
      'care_code' => 'COM',
    ],
    'KN' => [
      'country' => 'Saint Kitts and Nevis',
      'care_code' => 'KAN',
    ],
    'KP' => [
      'country' => 'Korea',
      'care_code' => '',
    ],
    'KR' => [
      'country' => 'Korea',
      'care_code' => '',
    ],
    'KW' => [
      'country' => 'Kuwait',
      'care_code' => 'KWT',
    ],
    'KY' => [
      'country' => 'Cayman Islands',
      'care_code' => '',
    ],
    'KZ' => [
      'country' => 'Kazakhstan',
      'care_code' => 'KZ',
    ],
    'LA' => [
      'country' => 'Lao People\'s Democratic Republic',
      'care_code' => '',
    ],
    'LB' => [
      'country' => 'Lebanon',
      'care_code' => 'RL',
    ],
    'LC' => [
      'country' => 'Saint Lucia',
      'care_code' => 'WL',
    ],
    'LI' => [
      'country' => 'Liechtenstein',
      'care_code' => 'FL',
    ],
    'LK' => [
      'country' => 'Sri Lanka',
      'care_code' => 'CL',
    ],
    'LR' => [
      'country' => 'Liberia',
      'care_code' => 'LB',
    ],
    'LS' => [
      'country' => 'Lesotho',
      'care_code' => 'LS',
    ],
    'LT' => [
      'country' => 'Lithuania',
      'care_code' => 'LT',
    ],
    'LU' => [
      'country' => 'Luxembourg',
      'care_code' => 'L',
    ],
    'LV' => [
      'country' => 'Latvia',
      'care_code' => 'LV',
    ],
    'LY' => [
      'country' => 'Libya',
      'care_code' => 'LAR',
    ],
    'MA' => [
      'country' => 'Morocco',
      'care_code' => 'MA',
    ],
    'MC' => [
      'country' => 'Monaco',
      'care_code' => 'MC',
    ],
    'MD' => [
      'country' => 'Moldova',
      'care_code' => 'MD',
    ],
    'ME' => [
      'country' => 'Montenegro',
      'care_code' => 'MNE',
    ],
    'MF' => [
      'country' => 'Saint Martin (French part)',
      'care_code' => '',
    ],
    'MG' => [
      'country' => 'Madagascar',
      'care_code' => 'RM',
    ],
    'MH' => [
      'country' => 'Marshall Islands',
      'care_code' => 'MH',
    ],
    'MK' => [
      'country' => 'Macedonia',
      'care_code' => 'MK',
    ],
    'ML' => [
      'country' => 'Mali',
      'care_code' => 'RMM',
    ],
    'MM' => [
      'country' => 'Myanmar',
      'care_code' => 'BUR',
    ],
    'MN' => [
      'country' => 'Mongolia',
      'care_code' => 'MGL',
    ],
    'MO' => [
      'country' => 'Macao',
      'care_code' => '',
    ],
    'MP' => [
      'country' => 'Northern Mariana Islands',
      'care_code' => '',
    ],
    'MQ' => [
      'country' => 'Martinique',
      'care_code' => '',
    ],
    'MR' => [
      'country' => 'Mauritania',
      'care_code' => 'RIM',
    ],
    'MS' => [
      'country' => 'Montserrat',
      'care_code' => '',
    ],
    'MT' => [
      'country' => 'Malta',
      'care_code' => 'M',
    ],
    'MU' => [
      'country' => 'Mauritius',
      'care_code' => 'MS',
    ],
    'MV' => [
      'country' => 'Maldives',
      'care_code' => 'MV',
    ],
    'MW' => [
      'country' => 'Malawi',
      'care_code' => 'MW',
    ],
    'MX' => [
      'country' => 'Mexico',
      'care_code' => 'MEX',
    ],
    'MY' => [
      'country' => 'Malaysia',
      'care_code' => 'MAL',
    ],
    'MZ' => [
      'country' => 'Mozambique',
      'care_code' => 'MOC',
    ],
    'NA' => [
      'country' => 'Namibia',
      'care_code' => 'NAM',
    ],
    'NC' => [
      'country' => 'New Caledonia',
      'care_code' => 'NC',
    ],
    'NE' => [
      'country' => 'Niger',
      'care_code' => 'RN',
    ],
    'NF' => [
      'country' => 'Norfolk Island',
      'care_code' => '',
    ],
    'NG' => [
      'country' => 'Nigeria',
      'care_code' => 'WAN',
    ],
    'NI' => [
      'country' => 'Nicaragua',
      'care_code' => 'NIC',
    ],
    'NL' => [
      'country' => 'Netherlands',
      'care_code' => 'NL',
    ],
    'NO' => [
      'country' => 'Norway',
      'care_code' => 'N',
    ],
    'NP' => [
      'country' => 'Nepal',
      'care_code' => 'NEP',
    ],
    'NR' => [
      'country' => 'Nauru',
      'care_code' => 'NAU',
    ],
    'NU' => [
      'country' => 'Niue',
      'care_code' => '',
    ],
    'NZ' => [
      'country' => 'New Zealand',
      'care_code' => 'NZ',
    ],
    'OM' => [
      'country' => 'Oman',
      'care_code' => 'OM',
    ],
    'PA' => [
      'country' => 'Panama',
      'care_code' => 'PA',
    ],
    'PE' => [
      'country' => 'Peru',
      'care_code' => 'PE',
    ],
    'PF' => [
      'country' => 'French Polynesia',
      'care_code' => '',
    ],
    'PG' => [
      'country' => 'Papua New Guinea',
      'care_code' => 'PNG',
    ],
    'PH' => [
      'country' => 'Philippines',
      'care_code' => 'RP',
    ],
    'PK' => [
      'country' => 'Pakistan',
      'care_code' => 'PK',
    ],
    'PL' => [
      'country' => 'Poland',
      'care_code' => 'PL',
    ],
    'PM' => [
      'country' => 'Saint Pierre and Miquelon',
      'care_code' => '',
    ],
    'PN' => [
      'country' => 'Pitcairn',
      'care_code' => '',
    ],
    'PR' => [
      'country' => 'Puerto Rico',
      'care_code' => 'PR',
    ],
    'PS' => [
      'country' => 'Palestine',
      'care_code' => 'PS',
    ],
    'PT' => [
      'country' => 'Portugal',
      'care_code' => 'P',
    ],
    'PW' => [
      'country' => 'Palau',
      'care_code' => 'PAL',
    ],
    'PY' => [
      'country' => 'Paraguay',
      'care_code' => 'PY',
    ],
    'QA' => [
      'country' => 'Qatar',
      'care_code' => 'Q',
    ],
    'RE' => [
      'country' => 'Réunion',
      'care_code' => '',
    ],
    'RO' => [
      'country' => 'Romania',
      'care_code' => 'RO',
    ],
    'RS' => [
      'country' => 'Serbia',
      'care_code' => 'SRB',
    ],
    'RU' => [
      'country' => 'Russian Federation',
      'care_code' => 'RUS',
    ],
    'RW' => [
      'country' => 'Rwanda',
      'care_code' => 'RWA',
    ],
    'SA' => [
      'country' => 'Saudi Arabia',
      'care_code' => 'KSA',
    ],
    'SB' => [
      'country' => 'Solomon Islands',
      'care_code' => 'SOL',
    ],
    'SC' => [
      'country' => 'Seychelles',
      'care_code' => 'SY',
    ],
    'SD' => [
      'country' => 'Sudan',
      'care_code' => 'SUD',
    ],
    'SE' => [
      'country' => 'Sweden',
      'care_code' => 'S',
    ],
    'SG' => [
      'country' => 'Singapore',
      'care_code' => 'SGP',
    ],
    'SH' => [
      'country' => 'Saint Helena',
      'care_code' => '',
    ],
    'SI' => [
      'country' => 'Slovenia',
      'care_code' => 'SLO',
    ],
    'SJ' => [
      'country' => 'Svalbard and Jan Mayen',
      'care_code' => '',
    ],
    'SK' => [
      'country' => 'Slovakia',
      'care_code' => 'SK',
    ],
    'SL' => [
      'country' => 'Sierra Leone',
      'care_code' => 'SLE',
    ],
    'SM' => [
      'country' => 'San Marino',
      'care_code' => 'RSM',
    ],
    'SN' => [
      'country' => 'Senegal',
      'care_code' => 'SN',
    ],
    'SO' => [
      'country' => 'Somalia',
      'care_code' => 'SO',
    ],
    'SR' => [
      'country' => 'Suriname',
      'care_code' => 'SME',
    ],
    'SS' => [
      'country' => 'South Sudan',
      'care_code' => '',
    ],
    'ST' => [
      'country' => 'Sao Tome and Principe',
      'care_code' => '',
    ],
    'SV' => [
      'country' => 'El Salvador',
      'care_code' => 'ES',
    ],
    'SX' => [
      'country' => 'Sint Maarten (Dutch part)',
      'care_code' => '',
    ],
    'SY' => [
      'country' => 'Syrian Arab Republic',
      'care_code' => '',
    ],
    'SZ' => [
      'country' => 'Swaziland',
      'care_code' => 'SD',
    ],
    'TC' => [
      'country' => 'Turks and Caicos Islands',
      'care_code' => '',
    ],
    'TD' => [
      'country' => 'Chad',
      'care_code' => '',
    ],
    'TF' => [
      'country' => 'French Southern Territories',
      'care_code' => '',
    ],
    'TG' => [
      'country' => 'Togo',
      'care_code' => 'TG',
    ],
    'TH' => [
      'country' => 'Thailand',
      'care_code' => 'T',
    ],
    'TJ' => [
      'country' => 'Tajikistan',
      'care_code' => 'TJ',
    ],
    'TK' => [
      'country' => 'Tokelau',
      'care_code' => '',
    ],
    'TL' => [
      'country' => 'Timor-Leste',
      'care_code' => 'TL',
    ],
    'TM' => [
      'country' => 'Turkmenistan',
      'care_code' => 'TM',
    ],
    'TN' => [
      'country' => 'Tunisia',
      'care_code' => 'TN',
    ],
    'TO' => [
      'country' => 'Tonga',
      'care_code' => 'TO',
    ],
    'TR' => [
      'country' => 'Turkey',
      'care_code' => 'TR',
    ],
    'TT' => [
      'country' => 'Trinidad and Tobago',
      'care_code' => 'TT',
    ],
    'TV' => [
      'country' => 'Tuvalu',
      'care_code' => 'TUV',
    ],
    'TW' => [
      'country' => 'Taiwan',
      'care_code' => 'RC',
    ],
    'TZ' => [
      'country' => 'Tanzania',
      'care_code' => 'EAT',
    ],
    'UA' => [
      'country' => 'Ukraine',
      'care_code' => 'UA',
    ],
    'UG' => [
      'country' => 'Uganda',
      'care_code' => 'EAU',
    ],
    'UM' => [
      'country' => 'United States Minor Outlying Islands',
      'care_code' => '',
    ],
    'US' => [
      'country' => 'United States',
      'care_code' => 'USA',
    ],
    'UY' => [
      'country' => 'Uruguay',
      'care_code' => 'UY',
    ],
    'UZ' => [
      'country' => 'Uzbekistan',
      'care_code' => 'UZ',
    ],
    'VA' => [
      'country' => 'Holy See (Vatican City State)',
      'care_code' => '',
    ],
    'VC' => [
      'country' => 'Saint Vincent and the Grenadines',
      'care_code' => 'WV',
    ],
    'VE' => [
      'country' => 'Venezuela',
      'care_code' => 'YV',
    ],
    'VG' => [
      'country' => 'Virgin Islands',
      'care_code' => 'BVI',
    ],
    'VI' => [
      'country' => 'Virgin Islands',
      'care_code' => 'BVI',
    ],
    'VN' => [
      'country' => 'Vietnam',
      'care_code' => 'VN',
    ],
    'VU' => [
      'country' => 'Vanuatu',
      'care_code' => 'VU',
    ],
    'WF' => [
      'country' => 'Wallis and Futuna',
      'care_code' => '',
    ],
    'WS' => [
      'country' => 'Samoa',
      'care_code' => 'WS',
    ],
    'YE' => [
      'country' => 'Yemen',
      'care_code' => 'YAR',
    ],
    'YT' => [
      'country' => 'Mayotte',
      'care_code' => '',
    ],
    'ZA' => [
      'country' => 'South Africa',
      'care_code' => 'ZA',
    ],
    'ZM' => [
      'country' => 'Zambia',
      'care_code' => 'Z',
    ],
    'ZW' => [
      'country' => 'Zimbabwe',
      'care_code' => 'ZW',
    ],
  ];
}
